diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index bea6565..9acd625 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -29,18 +29,45 @@ PS2PDF=ps2pdf
 RM=rm -f
 
 BOOKS=${PDF}/bookvol0.pdf ${PDF}/bookvol1.pdf ${PDF}/bookvol2.pdf \
-      ${PDF}/bookvol3.pdf ${PDF}/bookvol4.pdf \
+      ${PDF}/bookvol4.pdf \
       ${PDF}/bookvol7.1.pdf  \
       ${PDF}/bookvol8.pdf ${PDF}/bookvol8.1.pdf ${PDF}/bookvol10.pdf \
       ${PDF}/bookvol10.1.pdf ${PDF}/bookvol10.2.pdf ${PDF}/bookvol10.3.pdf \
       ${PDF}/bookvol10.4.pdf ${PDF}/bookvol10.5.pdf \
-      ${PDF}/bookvol11.pdf ${PDF}/bookvol12.pdf ${PDF}/bookvolbib.pdf
+      ${PDF}/bookvol11.pdf ${PDF}/bookvolbib.pdf
 
-BUUKS=${PDF}/bookvol5.pdf ${PDF}/bookvol6.pdf ${PDF}/bookvol7.pdf \
-      ${PDF}/bookvol9.pdf 
+BUUKS=${PDF}/bookvol3.pdf \
+      ${PDF}/bookvol5.pdf ${PDF}/bookvol6.pdf ${PDF}/bookvol7.pdf \
+      ${PDF}/bookvol9.pdf ${PDF}/bookvol12.pdf
 
 all: ${PDF}/axiom.sty ${BUUKS} ${BOOKS} ${PDF}/toc.pdf
 
+${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet 
+	@echo books/1 making ${PDF}/bookvol3.pdf from ${IN}/bookvol3.pamphlet
+	@(cd ${PDF} ; \
+	  cp ${IN}/bookvol3.pamphlet ${PDF}/bookvol3.tex ; \
+	  cp -pr ${IN}/ps ${PDF} ; \
+	  if [ -z "${NOISE}" ] ; then \
+	    ${RM} bookvol3.toc ; \
+	    ${LATEX} bookvol3.tex ; \
+	    ${MAKEINDEX} bookvol3.idx >/dev/null ; \
+	    ${LATEX} bookvol3.tex >/dev/null ; \
+	    ${DVIPDFM} bookvol3.dvi 2>/dev/null ; \
+	    ${RM} bookvol3.aux bookvol3.dvi bookvol3.log bookvol3.ps ; \
+            ${RM} bookvol3.idx bookvol3.tex bookvol3.pamphlet ; \
+	    ${RM} bookvol3.ilg bookvol3.ind ; \
+	  else \
+	    ${RM} bookvol3.toc ; \
+	    ${LATEX} bookvol3.tex >${TMP}/trace ; \
+	    echo ...first latex complete ; \
+	    ${MAKEINDEX} bookvol3.idx >${TMP}/trace ; \
+	    ${LATEX} bookvol3.tex >${TMP}/trace ; \
+	    ${DVIPDFM} bookvol3.dvi 2>${TMP}/trace ; \
+	    ${RM} bookvol3.aux bookvol3.dvi bookvol3.log bookvol3.ps ; \
+            ${RM} bookvol3.idx bookvol3.tex bookvol3.pamphlet ; \
+	    ${RM} bookvol3.ilg bookvol3.ind ; \
+	  fi )
+
 ${PDF}/bookvol5.pdf: ${IN}/bookvol5.pamphlet 
 	@echo books/1 making ${PDF}/bookvol5.pdf from ${IN}/bookvol5.pamphlet
 	@(cd ${PDF} ; \
@@ -257,6 +284,34 @@ ${PDF}/bookvol10.5.pdf: ${IN}/bookvol10.5.pamphlet
 	    ${RM} bookvol10.5.ilg bookvol10.5.ind ; \
 	  fi )
 
+${PDF}/bookvol12.pdf: ${IN}/bookvol12.pamphlet 
+	@echo books/1 making ${PDF}/bookvol12.pdf from ${IN}/bookvol12.pamphlet
+	@(cd ${PDF} ; \
+	  cp ${IN}/bookvol12.pamphlet ${PDF}/bookvol12.tex ; \
+	  cp -pr ${IN}/ps ${PDF} ; \
+	  if [ -z "${NOISE}" ] ; then \
+	    ${RM} bookvol12.toc ; \
+	    ${LATEX} bookvol12.tex ; \
+	    ${MAKEINDEX} bookvol12.idx >/dev/null ; \
+	    ${LATEX} bookvol12.tex >/dev/null ; \
+	    ${DVIPDFM} bookvol12.dvi 2>/dev/null ; \
+	    ${RM} bookvol12.aux bookvol12.dvi bookvol12.log ; \
+	    ${RM} bookvol12.ps ; \
+            ${RM} bookvol12.idx bookvol12.tex bookvol12.pamphlet ; \
+	    ${RM} bookvol12.ilg bookvol12.ind ; \
+	  else \
+	    ${RM} bookvol12.toc ; \
+	    ${LATEX} bookvol12.tex >${TMP}/trace ; \
+	    echo ...first latex complete ; \
+	    ${MAKEINDEX} bookvol12.idx >${TMP}/trace ; \
+	    ${LATEX} bookvol12.tex >${TMP}/trace ; \
+	    ${DVIPDFM} bookvol12.dvi 2>${TMP}/trace ; \
+	    ${RM} bookvol12.aux bookvol12.dvi bookvol12.log ; \
+	    ${RM} bookvol12.ps ; \
+            ${RM} bookvol12.idx bookvol12.tex bookvol12.pamphlet ; \
+	    ${RM} bookvol12.ilg bookvol12.ind ; \
+	  fi )
+
 ${PDF}/%.pdf: ${IN}/%.pamphlet 
 	@echo 0 making ${PDF}/$*.pdf from ${IN}/$*.pamphlet
 	@(cd ${PDF} ; \
diff --git a/books/bookvol12.pamphlet b/books/bookvol12.pamphlet
index 54f2520..528a201 100644
--- a/books/bookvol12.pamphlet
+++ b/books/bookvol12.pamphlet
@@ -380,7 +380,7 @@ the facet, not a function of the problem.
 \chapter{Experiments}
 \section{Hide/Show a div element}
 Here we demonstrate the ability to hide or show a named div element.
-<<hide/show a div element>>=
+\begin{chunk}{hide/show a div element}
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta http-equiv="Content-Type" content="text/xml" charset="us-ascii"/>
@@ -404,11 +404,11 @@ it works
  <a href="javascript:hideshow('none')">Hide</a>
  <a href="javascript:hideshow('block')">Show</a>
 </html>
-@
+\end{chunk}
 \section{Hide/Show a nested div element}
 Now that we can hide or show a div element we demonstrate the ability
 to hide or show a nested div element.
-<<hide/show a nested div element>>=
+\begin{chunk}{hide/show a nested div element}
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta http-equiv="Content-Type" content="text/xml" charset="us-ascii"/>
@@ -448,13 +448,13 @@ it works
  <a href="javascript:showhide('crystal','none')">Hide</a>
  <a href="javascript:showhide('crystal','block')">Show</a>
 </html>
-@
+\end{chunk}
 \section{Hide/Show a ring of elements}
 Now that we can hide or show a div element we demonstrate the ability
 to hide or show a ring of div elements. There are 3 elements in the
 ring, 'facet1', 'facet2', and 'facet3'. Each facet can open or close
 the associated 'answer' sub-div element.
-<<hide/show a ring of elements>>=
+\begin{chunk}{hide/show a ring of elements}
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta http-equiv="Content-Type" content="text/xml" charset="us-ascii"/>
@@ -542,7 +542,7 @@ it works
  </body>
  <hr/>
 </html>
-@
+\end{chunk}
 \chapter{Other work}
 \section{Understanding the Dynamics of Complex Lisp Programs \cite{9}}
 {\bf Abstract}: Recent advances in web technologies and the
diff --git a/books/bookvol3.pamphlet b/books/bookvol3.pamphlet
index 7a0d819..9bb95cc 100644
--- a/books/bookvol3.pamphlet
+++ b/books/bookvol3.pamphlet
@@ -304,7 +304,7 @@ This book is actually a literate program\cite{2} and can contain
 executable source code. In particular, the Makefile for this book
 is part of the source of the book and is included below. Axiom 
 uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
-<<*>>=
+\begin{chunk}{*}
 PROJECT=bookvol3
 TANGLE=/usr/local/bin/NOTANGLE
 WEAVE=/usr/local/bin/NOWEAVE
@@ -317,7 +317,7 @@ all:
 	${MAKEINDEX} ${PROJECT}.idx
 	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
 
-@
+\end{chunk}
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} Jenks, R.J. and Sutor, R.S. 
diff --git a/changelog b/changelog
index c8c65b6..df79233 100644
--- a/changelog
+++ b/changelog
@@ -1,9 +1,13 @@
+20130124 tpd src/axiom-website/patches.html 20130124.04.tpd.patch
+20130124 tpd books/Makefile remove noweb from vol3, vol12
+20130124 tpd books/bookvol3 remove noweb
+20130124 tpd books/bookvol12 remove noweb
 20130124 tpd src/axiom-website/patches.html 20130124.03.tpd.patch
-20120124 tpd src/input/trigtests.input test new hyperbolic identities
+20130124 tpd src/input/trigtests.input test new hyperbolic identities
 20130124 tpd src/axiom-website/patches.html 20130124.02.tpd.patch
 20130124 tpd books/bookvol10.4 expand hyperbolic identities
 20130124 tpd src/axiom-website/patches.html 20130124.01.tpd.patch
-20120124 tpd books/bookvol10.4 document htrigs function in TRMANIP
+20130124 tpd books/bookvol10.4 document htrigs function in TRMANIP
 20130123 tpd src/axiom-website/patches.html 20130123.03.tpd.patch
 20130123 tpd src/Makefile clean up src/algebra properly
 20130123 tpd src/axiom-website/patches.html 20130123.02.tpd.patch
@@ -16,8 +20,8 @@
 20130122 tpd src/input/Makefile trigtests added
 20130122 tpd src/input/trigtests.input added
 20130110 tpd src/axiom-website/patches.html 20130110.01.tpd.patch
-20120110 tpd books/bookvolbib add Koutschan
-20120106 tpd src/axiom-website/patches.html 20130106.01.tpd.patch
+20130110 tpd books/bookvolbib add Koutschan
+20130106 tpd src/axiom-website/patches.html 20130106.01.tpd.patch
 20130106 tpd books/bookvolbib add Che86
 20130106 tpd src/input/Makefile add cherry.input
 20130106 tpd src/input/cherry.input added
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 43eaa45..b20af52 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3961,5 +3961,7 @@ books/bookvol10.4 document htrigs function in TRMANIP
 books/bookvol10.4 expand hyperbolic identities
 <a href="patches/20130124.03.tpd.patch">20130124.03.tpd.patch</a>
 src/input/trigtests.input test new hyperbolic identities
+<a href="patches/20130124.04.tpd.patch">20130124.04.tpd.patch</a>
+books/Makefile, bookvol3, bookvol12 remove noweb
  </body>
 </html>
